Skip to main content
The Cloud Explorer API currently offers the following functionality:
  • Listings - Allows for fetching of wallets and dApps listed in the WalletGuide.
  • Logos - Provides logo assets in different sizes for a given Cloud explorer entry.

Listings

By default listings endpoints return all data for provided type. You can use following query params to return paginated data or search for a specific listing by its name:

GET /v3/wallets

Returns a JSON object containing all wallets listed in the cloud explorer. Examples:
  • GET https://explorer-api.walletconnect.com/v3/wallets?projectId=YOUR_PROJECT_ID&entries=5&page=1 (will return the first 5 wallets from the first page)
  • GET https://explorer-api.walletconnect.com/v3/wallets?projectId=YOUR_PROJECT_ID&platforms=injected (will only return injected wallets)

GET /v3/dapps

Returns a JSON object containing all dApps listed in the public cloud explorer. Examples:
  • GET https://explorer-api.walletconnect.com/v3/dapps?projectId=YOUR_PROJECT_ID&entries=5&page=1

GET /v3/hybrid

Returns a JSON object containing all hybrids listed in the public cloud explorer. Examples:
  • GET https://explorer-api.walletconnect.com/v3/hybrid?projectId=YOUR_PROJECT_ID&entries=5&page=1

GET /v3/all

Returns a JSON object containing all entries listed in the public cloud explorer. Examples:
  • GET https://explorer-api.walletconnect.com/v3/all?projectId=YOUR_PROJECT_ID&entries=5&page=1

GET /v3/all?projectId=YOUR_PROJECT_ID&ids=LISTING_ID1,LISTING_ID2

Returns a JSON object containing the entry listings by ID, which can be useful for allowlisting purposes.
You can find and copy listing ids from our WalletGuide
Examples:
  • GET https://explorer-api.walletconnect.com/v3/all?projectId=YOUR_PROJECT_ID&ids=be49f0a78d6ea1beed3804c3a6b62ea71f568d58d9df8097f3d61c7c9baf273d,4622a2b2d6af1c9844944291e5e7351a6aa24cd7b23099efac1b2fd875da31a0

Chains

By default chains endpoint returns all chains registered under CASA Namespace and that were approved by following our Add Chain issue template

Query Parameters

You can use following query params to query chains by its namespace and exclude testnets:

GET /v3/chains

Returns all chains registered under CASA Namespace and that were approved by following our Add Chain issue template Examples:
  • GET https://explorer-api.walletconnect.com/v3/chains?projectId=YOUR_PROJECT_ID
  • GET https://explorer-api.walletconnect.com/v3/chains?projectId=YOUR_PROJECT_ID&testnets=false
  • GET https://explorer-api.walletconnect.com/v3/chains?projectId=YOUR_PROJECT_ID&namespaces=eip155,cosmos

Logos

Path Parameters

Query Parameters

GET /v3/logo/:size/:image_id

Returns the image source of the logo for image_id sized according size. Examples:
  • GET https://explorer-api.walletconnect.com/v3/logo/md/32a77b79-ffe8-42c3-61a7-3e02e019ca00?projectId=YOUR_PROJECT_ID